Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 185331 - ypserv -b segfaults on dns lookups on 64 bit archs.
Summary: ypserv -b segfaults on dns lookups on 64 bit archs.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ypserv
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Feist
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2006-03-13 19:55 UTC by Chris Feist
Modified: 2015-01-08 00:12 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006-0352
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 14:50:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0352 normal SHIPPED_LIVE ypserv bug fix update 2006-07-19 18:58:00 UTC

Description Chris Feist 2006-03-13 19:55:40 UTC
+++ This bug was initially created as a clone of Bug #185330 +++

Description of problem:
ypserv -b segfaults on dns lookups on 64 bit archs.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Run ypserv -b
2.  Attempt to do a DNS lookup through yp (ypmatch www.redhat.com hosts)
3.
  
Actual results:
ypmatch times out with RPC errors (and ypserv child process segfaults)

Expected results:
ypmatch should return proper ip address of www.redhat.com

Additional info:

Comment 1 Chris Feist 2006-03-13 20:34:46 UTC
This should be fixed in ypserv-2.8-20.

Comment 9 Red Hat Bugzilla 2006-07-20 14:50:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0352.html



Note You need to log in before you can comment on or make changes to this bug.